Debian Bug report logs - #415677
wxwidgets2.x: newer upstream release

Package: wxwidgets2.6; Maintainer for wxwidgets2.6 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: Adam Cécile (Le_Vert) <gandalf@le-vert.net>

Date: Wed, 21 Mar 2007 08:57:01 UTC

Severity: wishlist

Merged with 403237, 440330

Done: Ron <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#415677; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: wxwidgets2.8 -- Sync from Ubuntu needed
Date: Wed, 21 Mar 2007 09:54:46 +0100
Package: wnpp
Severity: wishlist

Hi,

WxWidgets 2.8 has been packaged by Matthias Klose for Ubuntu
distribution [1] however he has no time to maintain it for us.

I hope someone is interrested and will upload and keep this package
sync'ed with the ubuntu's one.

Best regards, Adam.

[1] http://packages.ubuntu.com/feisty/source/wxwidgets2.8

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)



Changed Bug title to wxwidgets2.x: newer upstream release from RFP: wxwidgets2.8 -- Sync from Ubuntu needed. Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. (Sat, 24 Mar 2007 06:45:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `wxwidgets2.6'. Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. (Sat, 24 Mar 2007 06:45:03 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. (Sat, 24 Mar 2007 06:45:05 GMT) Full text and rfc822 format available.

Merged 403237 415677. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2007 06:33:04 GMT) Full text and rfc822 format available.

Blocking bugs of 398615 added: 403237 and 415677 Request was from "Richard Burton" <richardaburton@hotmail.com> to control@bugs.debian.org. (Mon, 28 May 2007 12:51:07 GMT) Full text and rfc822 format available.

Blocking bugs of 413675 added: 403237 and 415677 Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sat, 20 Oct 2007 09:36:04 GMT) Full text and rfc822 format available.

Forcibly Merged 403237 415677 440330. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sat, 20 Oct 2007 09:45:05 GMT) Full text and rfc822 format available.

Message sent on to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#415677. Full text and rfc822 format available.

Message #22 received at 415677-submitter@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: 403237@bugs.debian.org
Cc: 403237-submitter@bugs.debian.org, 415677-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org
Subject: New upstream version 2.8.6 packaged
Date: Fri, 26 Oct 2007 18:10:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

I took the liberty to package the new upstream version 2.8.6 of wxWidgets on 
my own account.
All the applications using wx2.6 on my box (eg. poedit, audacity) still run 
perfectly with the new 2.8 version installed.
And I compiled and installed the just released pgadmin 1.8.0 using wx2.8, and 
it runs also fine.

My packages can be found at http://kampfwurst.net/debian/unstable/

I hope to see a new wxWidgets 2.8 entering official archives soon. At least I 
encountered no technical problems compiling, installing and using it.

Regards,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 431435 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:03 GMT) Full text and rfc822 format available.

Blocking bugs of 404319 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:06 GMT) Full text and rfc822 format available.

Blocking bugs of 444960 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:08 GMT) Full text and rfc822 format available.

Blocking bugs of 457157 added: 403237, 415677, and 440330 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2007 09:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#415677; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #35 received at 415677@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org, calvin@debian.org, ron@voicetronix.com
Subject: Proposition: 'NMU' upload of wxwidgets 2.8
Date: Sun, 3 Feb 2008 01:21:52 +0100
Hi all, hi Ron.


I am fully aware that this is not a nice thing to propose and I know
that even though Ron does not know me and probably never even heard of
me, he will dislike me from this point. I would even go as far as to
agreeing to parts of why that is the case. Still, I feel the need to
write this email. Sorry Ron, and I mean that.


The current situation is as follows: A release with a new minor number
has been out for more than a _year_. While the maintainer in question
argues that 2.8 has lots of open bugs, more and more software versions
depend on it. As the maintainer is also unwilling to release another
package with the correct version numbers as pretty much all other
library packages do, this basically means a total standstill. His
implied suggestion to wait for 3.0 does not improve the situation at
all. In fact, it makes it worse. As of right now, this is blocking
#398615, #404319, #411575, #413675, #431435, #444960, #457157.

I do not claim to know what issues are open with 2.8, but I know that
several projects seem to be coping with whatever bugs those might be. I
also know that several maintainers are waiting for the updated packages.
The only option that makes sense to me in such a situation is a NMU-like
action: Package and maintain wxwidgets 2.8 outside of 2.6's maintainers
reach. This is a drastic, probably even hostile thing to do, but, quite
frankly, it seems to be the only option left to everyone involved. Please
note that this is not actually a NMU as it introduces a new package.

I am not a DD and do not think I have the technical skills to maintain
this package, else I would try to do just that. I am confident that
_someone_ among the people affected by this total blockade is able to do
just this.


Last but not least, if 2.8 proves to be too unstable to handle, just
keep it in unstable until after lenny is released. That will at least
allow the other maintainers to go on with their work, even if it does
not make it into the next stable. That will also ease the path for etch
users as backports should pick 2.8 up, as well.


Again, Ron, I can fully understand that you will not be happy about this
email and I am sorry for that. It is just that I do not see any other
option.


Best regards,
Richard Hartmann




Reply sent to Ron <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 415677-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 415677-done@bugs.debian.org, 440330-done@bugs.debian.org, 425647-done@bugs.debian.org
Subject: closing more duplicate reports with no additional information
Date: Sun, 3 Feb 2008 17:10:59 +1030
Hi,

I'm closing some more of these duplicate reports, because some people
are proving that they can't be sensible or discerning enough to decide
which one they should follow up to, and that isn't helping anyone but
eris.

If you were the original reporter of this bug, be assured that the
issue you have reported will not be ignored or forgotten about, it's
just already covered by another report.

Thanks,
Ron





Reply sent to Ron <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Nowakowski <tubaman@fattuba.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Blocking bugs of 457157 removed: 403237, 415677, 440330, 415677, 403237, 440330, 440330, 403237, and 415677 Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2008 08:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#415677; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #57 received at 415677@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org
Subject: Cross-reference to debian-devel
Date: Sun, 3 Feb 2008 14:24:57 +0100
Just letting you know that I posted the same email to debian-devel[1].

Both to help readers in the future and to enable Ron to send his answer
to the list.


Richard

[1] http://lists.debian.org/debian-devel/2008/02/msg00086.html




Bug no longer marked as found in version 2.6.3.2.1.5. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Mon, 03 Mar 2008 10:21:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:21:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.